org.eclipse.graphiti.mm.algorithms.styles

## Enum LocationType

- java.lang.Object
- - java.lang.Enum<LocationType>
  - - org.eclipse.graphiti.mm.algorithms.styles.LocationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LocationType>, org.eclipse.emf.common.util.Enumerator

    public enum LocationType
    extends java.lang.Enum<LocationType>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Location Type', and utility methods for working with them.

See Also:
  `StylesPackage.getLocationType()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LOCATION_TYPE_ABSOLUTE_END` The 'LOCATION TYPE ABSOLUTE END' literal object.
`LOCATION_TYPE_ABSOLUTE_START` The 'LOCATION TYPE ABSOLUTE START' literal object.
`LOCATION_TYPE_RELATIVE` The 'LOCATION TYPE RELATIVE' literal object.

### Field Summary

Fields
`static int` `LOCATION_TYPE_ABSOLUTE_END_VALUE` The 'LOCATION TYPE ABSOLUTE END' literal value.
`static int` `LOCATION_TYPE_ABSOLUTE_START_VALUE` The 'LOCATION TYPE ABSOLUTE START' literal value.
`static int` `LOCATION_TYPE_RELATIVE_VALUE` The 'LOCATION TYPE RELATIVE' literal value.
`static java.util.List<LocationType>` `VALUES` A public read-only list of all the 'Location Type' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LocationType` `get(int value)` Returns the 'Location Type' literal with the specified integer value.
`static LocationType` `get(java.lang.String literal)` Returns the 'Location Type' literal with the specified literal value.
`static LocationType` `getByName(java.lang.String name)` Returns the 'Location Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static LocationType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LocationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOCATION_TYPE_RELATIVE

    public static final LocationType LOCATION_TYPE_RELATIVE

The 'LOCATION TYPE RELATIVE' literal object.

See Also:
  `LOCATION_TYPE_RELATIVE_VALUE`

#### LOCATION_TYPE_ABSOLUTE_START

    public static final LocationType LOCATION_TYPE_ABSOLUTE_START

The 'LOCATION TYPE ABSOLUTE START' literal object.

See Also:
  `LOCATION_TYPE_ABSOLUTE_START_VALUE`

#### LOCATION_TYPE_ABSOLUTE_END

    public static final LocationType LOCATION_TYPE_ABSOLUTE_END

The 'LOCATION TYPE ABSOLUTE END' literal object.

See Also:
  `LOCATION_TYPE_ABSOLUTE_END_VALUE`

### Field Detail

#### LOCATION_TYPE_RELATIVE_VALUE

    public static final int LOCATION_TYPE_RELATIVE_VALUE

The 'LOCATION TYPE RELATIVE' literal value.

If the meaning of 'LOCATION TYPE RELATIVE' literal object isn't clear, there really should be more of a description here...

See Also:
  `LOCATION_TYPE_RELATIVE`, Constant Field Values

#### LOCATION_TYPE_ABSOLUTE_START_VALUE

    public static final int LOCATION_TYPE_ABSOLUTE_START_VALUE

The 'LOCATION TYPE ABSOLUTE START' literal value.

If the meaning of 'LOCATION TYPE ABSOLUTE START' literal object isn't clear, there really should be more of a description here...

See Also:
  `LOCATION_TYPE_ABSOLUTE_START`, Constant Field Values

#### LOCATION_TYPE_ABSOLUTE_END_VALUE

    public static final int LOCATION_TYPE_ABSOLUTE_END_VALUE

The 'LOCATION TYPE ABSOLUTE END' literal value.

If the meaning of 'LOCATION TYPE ABSOLUTE END' literal object isn't clear, there really should be more of a description here...

See Also:
  `LOCATION_TYPE_ABSOLUTE_END`, Constant Field Values

#### VALUES

    public static final java.util.List<LocationType> VALUES

A public read-only list of all the 'Location Type' enumerators.

### Method Detail

#### values

    public static LocationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LocationType c : LocationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LocationType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static LocationType get(java.lang.String literal)

Returns the 'Location Type' literal with the specified literal value.

#### getByName

    public static LocationType getByName(java.lang.String name)

Returns the 'Location Type' literal with the specified name.

#### get

    public static LocationType get(int value)

Returns the 'Location Type' literal with the specified integer value.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<LocationType>`